%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-connector-1.6-api
Version:       1.0.0
Release:       1%{?dist}
Summary:       Connector Architecture 1.6 API
Group:         Development/Libraries
License:       LGPLv2+
URL:           http://www.jboss.org/

# git clone git://github.com/jboss/jboss-connector-api_spec.git jboss-connector-1.6-api
# cd jboss-connector-1.6-api/ && git archive --format=tar --prefix=jboss-connector-1.6-api-1.0.0.Final/ jboss-connector-api_1.6_spec-1.0.0.Final | xz > jboss-connector-1.6-api-1.0.0.Final.tar.xz
Source0:       %{name}-%{namedversion}.tar.xz

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: jboss-specs-parent
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: jboss-transaction-1.1-api

Requires:      jboss-transaction-1.1-api
Requires:      java
Requires:      jpackage-utils

BuildArch:     noarch

%description
Java EE Connector Architecture 1.6 API classes

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 target/jboss-connector-api_1.6_spec-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Mon Nov 21 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

